#
# Conditional build:
%bcond_with	svga	# build with svgalib output support
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Term
%define		pnam	Gnuplot
Summary:	Term::Gnuplot - lowlevel graphics using gnuplot drawing routines
Summary(pl.UTF-8):	Term::Gnuplot - niskopoziomowa grafika przy użyciu funkcji rysujących gnuplota
Name:		perl-Term-Gnuplot
Version:	0.90380905
Release:	13
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	ceccd4e30deb6291ebecce176e715208
Patch0:		%{name}-vga.patch
Patch1:		format-security.patch
URL:		http://search.cpan.org/dist/Term-Gnuplot/
BuildRequires:	gd-devel
BuildRequires:	perl-devel >= 1:5.8.0
%{?with_svga:BuildRequires:	svgalib-devel}
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	xorg-lib-libX11-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module is intended for low-resolution or high-resolution graphics
using gnuplot low-level functions.

%description -l pl.UTF-8
Ten moduł jest przeznaczony do tworzenia grafiki niskiej lub wysokiej
rozdzielczości przy użyciu niskopoziomowych funkcji gnuplota.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1
%patch1 -p1

%build
%{__perl} Makefile.PL \
	TRY_LIBS="-lX11 -lm -lgd -lpng -lz %{?with_svga:-lvga}" \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test </dev/null}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_vendorarch}/Term/Gnuplot.pm
%dir %{perl_vendorarch}/auto/Term/Gnuplot
%attr(755,root,root) %{perl_vendorarch}/auto/Term/Gnuplot/Gnuplot.so
%{_mandir}/man3/Term::Gnuplot*
%changelog
* Fri Sep 12 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Term-Gnuplot.git;a=log;h=master

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> b681a79
- release 13 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 443c9d0
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 7b6c601
- rebuild for perl 5.20
- release 12 (by relup.sh)

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 08eebf9
- release 11 (by relup.sh)

* Thu Jul 04 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 8db5ff5
- release 10 (by relup.sh)

* Thu Jun 13 2013 Jan Rękorajski <baggins@pld-linux.org> 8747b4c
- release 9 (by relup.sh)

* Thu Jun 13 2013 Jan Rękorajski <baggins@pld-linux.org> 73d25e9
- one more format string error fixed

* Thu Jun 13 2013 Jan Rękorajski <baggins@pld-linux.org> a772a17
- fix format string error
- rel 8

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 3ca2b87
- rebuild with perl 5.18.0
- release 7 (by relup.sh)

* Sat Feb 11 2012 Adam Gołębiowski <adamg@pld-linux.org> 1d0750d
- release 6 (rebuild against libpng-1.5)

* Tue Dec 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 71d65ec
- release 5

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> ca0fead
- release 4

* Wed Apr 21 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 7c8ed5d
- release 3

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 8d5b5f3
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> c90dc43
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> b704741
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 32885a5
- converted to UTF-8

* Mon Oct 23 2006 Jakub Bogusz <qboosh@pld-linux.org> a68fbd2
- switched to modular xorg

* Mon Oct 23 2006 Jakub Bogusz <qboosh@pld-linux.org> 9d70956
- updated vga patch, added URL, release 1

* Mon Oct 23 2006 Jakub Bogusz <qboosh@pld-linux.org> fbccefc
- updated for 0.90380905

